LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
_uno_Any Struct Reference

This is the binary specification of an UNO any. More...

`#include <any2.h>`

Inheritance diagram for _uno_Any:

## Public Attributes
struct _typelib_TypeDescriptionReference * | pType
| type of value More...
void * | pData
| pointer to value; this may point to pReserved and thus the uno_Any is not anytime mem-copyable! You may have to correct the pData pointer to pReserved. More...
void * | pReserved
| reserved space for storing value More...

## Detailed Description

This is the binary specification of an UNO any.

## Member Data Documentation

void* _uno_Any::pData

pointer to value; this may point to pReserved and thus the uno_Any is not anytime mem-copyable! You may have to correct the pData pointer to pReserved.

Otherwise you need not, because the data is stored in heap space.

void* _uno_Any::pReserved

reserved space for storing value

struct _typelib_TypeDescriptionReference* _uno_Any::pType

type of value

The documentation for this struct was generated from the following file:

- uno/any2.h